CVE-2021-33198

NameCVE-2021-33198
DescriptionIn Go before 1.15.13 and 1.16.x before 1.16.5, there can be a panic fo ...
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
golang (PTS)jessie, jessie (lts)2:1.3.3-1+deb8u3fixed
golang-1.11 (PTS)buster, buster (security)1.11.6-1+deb10u4vulnerable
golang-1.15 (PTS)bullseye1.15.9-6fixed
sid, bookworm1.15.15-4fixed
golang-1.16 (PTS)sid, bookworm1.16.9-2fixed
golang-1.7 (PTS)stretch1.7.4-2+deb9u1fixed
stretch (security)1.7.4-2+deb9u3fixed
golang-1.8 (PTS)stretch1.8.1-1+deb9u1fixed
stretch (security)1.8.1-1+deb9u3fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
golangsourcejessie(not affected)
golangsource(unstable)(unfixed)
golang-1.11source(unstable)(unfixed)
golang-1.15source(unstable)1.15.9-5
golang-1.16source(unstable)1.16.5-1
golang-1.7sourcestretch(not affected)
golang-1.7source(unstable)(unfixed)
golang-1.8sourcestretch(not affected)
golang-1.8source(unstable)(unfixed)

Notes

[stretch] - golang-1.8 <not-affected> (Vulnerable code introduced later)
[stretch] - golang-1.7 <not-affected> (Vulnerable code introduced later)
https://github.com/golang/go/issues/45910
https://groups.google.com/g/golang-announce/c/RgCMkAEQjSI
Introduced by https://github.com/golang/go/commit/e4ba40030f9ba4b61bb28dbf78bb41a7b14e6788 (go1.13beta1)
[jessie] - golang <not-affected> (Vulnerable code introduced later)

Search for package or bug name: Reporting problems